/**
 *
 * Note the `className` property supplied to the `edit` callback.  To use the
 * `.wp-block-*` class for styling, plugin implementers must return an
 * appropriate element with this class.
 *
 */
 ( function( wp ) {

	wp.blocks.registerBlockType( 'persistent-login/manage-sessions', {
		title: 'Manage Login Sessions',
		description: 'An example of the WP Persistent Logins Manage Sessions block using your current login data. The table uses the styles in your theme. To update how the table looks, please use custom CSS in your theme.',
		icon: 'lock',
		category: 'widgets',
		keywords: [ 'logins', 'persistent', 'wp' ],
		supports: {
			customClassName: false
		},
		edit: function(props) {
			
			return (
				
				wp.element.createElement( wp.components.ServerSideRender, {
					block: 'persistent-login/manage-sessions'
				})
								
			);

		},
		save: function() {
			return;
		}
	} );

}(window.wp));