/**
 *
 * Note the `className` property supplied to the `edit` callback.  To use the
 * `.wp-block-*` class for styling, plugin implementers must return an
 * appropriate element with this class.
 *
 */
 ( function( wp ) {

	wp.blocks.registerBlockType( 'persistent-login/maximum-logins-control', {
		title: 'Maximum Logins Control',
		description: 'Allows the user to end a login session when they reach the maximum number of logins available.',
		icon: 'lock',
		category: 'widgets',
		keywords: [ 'active', 'logins', 'session' ],
		supports: {
			customClassName: false
		},
		edit: function(props) {
			
			return (
				
				wp.element.createElement( wp.components.ServerSideRender, {
					block: 'persistent-login/maximum-logins-control'
				})
								
			);

		},
		save: function() {
			return;
		}
	} );

}(window.wp));